import { Migration } from '@mikro-orm/migrations';

export class Migration20260615130000_remove_payment_details_from_orders extends Migration {

  override async up(): Promise<void> {
    this.addSql(`alter table "orders" drop column if exists "payment_description";`);
    this.addSql(`alter table "orders" drop column if exists "payment_attachments";`);
  }

  override async down(): Promise<void> {
    this.addSql(`alter table "orders" add column "payment_description" text null;`);
    this.addSql(`alter table "orders" add column "payment_attachments" jsonb null;`);
  }

}
